Python SDK
import os
from parable_web_api_sdk import ClientConfig, WebApiSDK
sdk = WebApiSDK(
ClientConfig(
base_url=os.environ["PARABLE_API_URL"],
auth_token=os.environ["PARABLE_API_TOKEN"],
default_headers={"X-Tenant": os.environ["PARABLE_WORKSPACE"]},
)
)
result = sdk.connector_requests.connector_requests(status=None, limit=None, offset=None)sdk, err := webapisdk.New(webapisdk.SDKConfig{
BaseURL: os.Getenv("PARABLE_API_URL"),
Auth: &webapisdk.AuthConfig{Token: os.Getenv("PARABLE_API_TOKEN")},
RequestInterceptor: func(ctx context.Context, req *http.Request) error {
req.Header.Set("X-Tenant", os.Getenv("PARABLE_WORKSPACE"))
return nil
},
})
if err != nil {
return err
}
query := &namespaces.ConnectorRequestsConnectorRequestsQueryParams{}
result, err := sdk.ConnectorRequestsNamespace.ConnectorRequests(ctx, query){
"data": {
"items": [
{
"connectorName": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"status": "pending",
"updatedAt": "2023-11-07T05:31:56Z",
"notes": "<string>",
"resolvedGroupingId": "<string>",
"resolvedVendorId": "<string>",
"resultConnectorId": "<string>"
}
],
"limit": 0,
"offset": 0,
"total": 0
},
"meta": {
"requestId": "<string>",
"totalCount": 123
},
"links": {
"first": "<string>",
"last": "<string>",
"next": "<string>",
"prev": "<string>"
}
}{
"detail": "<string>",
"status": 400,
"title": "Bad Request",
"type": "about:blank",
"code": "WA-VL-001",
"details": "<unknown>",
"errors": "<unknown>",
"requestId": "<string>"
}{
"detail": "<string>",
"status": 400,
"title": "Bad Request",
"type": "about:blank",
"code": "WA-VL-001",
"details": "<unknown>",
"errors": "<unknown>",
"requestId": "<string>"
}{
"detail": "<string>",
"status": 400,
"title": "Bad Request",
"type": "about:blank",
"code": "WA-VL-001",
"details": "<unknown>",
"errors": "<unknown>",
"requestId": "<string>"
}{
"detail": "<string>",
"status": 400,
"title": "Bad Request",
"type": "about:blank",
"code": "WA-VL-001",
"details": "<unknown>",
"errors": "<unknown>",
"requestId": "<string>"
}List Provider requests
Lists the requests this Workspace has made for Providers to be supported.
GET
/
api
/
connector-requests
/
connector-requests
Python SDK
import os
from parable_web_api_sdk import ClientConfig, WebApiSDK
sdk = WebApiSDK(
ClientConfig(
base_url=os.environ["PARABLE_API_URL"],
auth_token=os.environ["PARABLE_API_TOKEN"],
default_headers={"X-Tenant": os.environ["PARABLE_WORKSPACE"]},
)
)
result = sdk.connector_requests.connector_requests(status=None, limit=None, offset=None)sdk, err := webapisdk.New(webapisdk.SDKConfig{
BaseURL: os.Getenv("PARABLE_API_URL"),
Auth: &webapisdk.AuthConfig{Token: os.Getenv("PARABLE_API_TOKEN")},
RequestInterceptor: func(ctx context.Context, req *http.Request) error {
req.Header.Set("X-Tenant", os.Getenv("PARABLE_WORKSPACE"))
return nil
},
})
if err != nil {
return err
}
query := &namespaces.ConnectorRequestsConnectorRequestsQueryParams{}
result, err := sdk.ConnectorRequestsNamespace.ConnectorRequests(ctx, query){
"data": {
"items": [
{
"connectorName": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"status": "pending",
"updatedAt": "2023-11-07T05:31:56Z",
"notes": "<string>",
"resolvedGroupingId": "<string>",
"resolvedVendorId": "<string>",
"resultConnectorId": "<string>"
}
],
"limit": 0,
"offset": 0,
"total": 0
},
"meta": {
"requestId": "<string>",
"totalCount": 123
},
"links": {
"first": "<string>",
"last": "<string>",
"next": "<string>",
"prev": "<string>"
}
}{
"detail": "<string>",
"status": 400,
"title": "Bad Request",
"type": "about:blank",
"code": "WA-VL-001",
"details": "<unknown>",
"errors": "<unknown>",
"requestId": "<string>"
}{
"detail": "<string>",
"status": 400,
"title": "Bad Request",
"type": "about:blank",
"code": "WA-VL-001",
"details": "<unknown>",
"errors": "<unknown>",
"requestId": "<string>"
}{
"detail": "<string>",
"status": 400,
"title": "Bad Request",
"type": "about:blank",
"code": "WA-VL-001",
"details": "<unknown>",
"errors": "<unknown>",
"requestId": "<string>"
}{
"detail": "<string>",
"status": 400,
"title": "Bad Request",
"type": "about:blank",
"code": "WA-VL-001",
"details": "<unknown>",
"errors": "<unknown>",
"requestId": "<string>"
}Access
An MCP token or a Parable token can call this operation. See Authentication for the kinds of token. Your roles must granttenant.connectors.view.
Errors
HTTP 403: The caller cannot view Workspace Provider requests. Use an identity with connector view permission.
Authorizations
A personal access token, which starts with pat_. A Parable token can call each operation that the roles of its owner allow. An MCP token can call only the read operations that are open to agents. A SQL token does not work on this API.
Headers
Workspace slug. Overrides subdomain-based workspace resolution when provided.
Example:
"acme"
Optional request correlation ID echoed back in the response.
Example:
"550e8400-e29b-41d4-a716-446655440000"
Query Parameters
Connector Request & Research Enumerations Enums for the connector request and research lifecycle. Lifecycle status of a connector request (demand signal). Tracks the request from submission through resolution.
Available options:
pending, researching, research_complete, approved, rejected